import middy from '@middy/core';
import { AuthUserModel } from './models/AuthUserModel';
import { IUserDataService } from './interfaces/IUserDataService';
import { IExecutiveDataService } from './interfaces/IExecutiveDataService';
import { ClientAndExecutiveUsers } from './models/ClientAndExecutiveUser';
export declare class Commons {
    warmLambdaFunction(event: any, context: any): any;
    apiWarning(payload: any, warningMessage: string, statusCode?: number): {
        statusCode: number;
        headers: {
            'Access-Control-Allow-Headers': string;
            'Access-Control-Allow-Origin': string;
            'Access-Control-Allow-Methods': string;
        };
        body: string;
    };
    apiSuccess(payload: any, statusCode?: number): {
        statusCode: number;
        headers: {
            'Access-Control-Allow-Headers': string;
            'Access-Control-Allow-Origin': string;
            'Access-Control-Allow-Methods': string;
        };
        body: string;
    };
    apiSuccessZip(file: any, name: string, statusCode?: number): {
        statusCode: number;
        headers: {
            'Content-Type': string;
            'Content-disposition': string;
        };
        body: any;
        isBase64Encoded: boolean;
    };
    lambdaSuccess(payload: any): {
        statusCode: number;
        body: string;
    };
    errorHandler(baseHandler: any): middy.MiddyfiedHandler<any, any, Error, import("aws-lambda").Context>;
    successfulNotification(): import("./models/ErrorNotification").Notification;
    warningNotification(message: string): import("./models/ErrorNotification").Notification;
    /**
     * Extract authenticated user from Api Gateway event
     * @param event is Api Gateway event
     */
    static extractAuthUser(event: any): AuthUserModel;
    /**
     * This method extract Client User and Executive User from API GW event that comes from either Broker resource (/broker/executive/...) resource or self-service
     * @param event is AWS ApiGateway lambda proxy event
     * @param userDataServiceInstance is the instance of user data client that connects to users DB table
     * @param executiveDataService is the instance of executive user data client that connects to executives DB table
     * @returns ClientAndExecutiveUsers that has clientUser, executiveUser, isFromBroker and isClientCredentials properties
     */
    static getExecutiveAndFinalUserFromEvent(event: any, userDataServiceInstance: IUserDataService, executiveDataService: IExecutiveDataService): Promise<ClientAndExecutiveUsers>;
}
export { SendToCRMService } from './services/SendToCRMService';
export { ModelCRM } from './models/ModelCRM';
export { NotificationModel } from './models/NotificationModel';
export { AuthUserModel } from './models/AuthUserModel';
export { NotificationTopicService } from './services/NotificationTopicService';
export { AppionDataModel } from './models/AppionDataModel';
export { AppionTopicService } from './services/AppionTopicService';
export { validateAndConvert } from './services/ClassValidationService';
export { BusinessNotificationTopicService } from './services/BuisnessNotificationTopicService';
export { BusinessEvent, BusinessEventTypes, BusinessNotificationData, NotificationVars } from './models/BusinessEventModel';
export { IExecutiveDataService } from './interfaces/IExecutiveDataService';
export { IUserDataService } from './interfaces/IUserDataService';
export { ChronosLambdaClientService } from './services/ChronosLambdaClientService';
export { ChronosS3Service } from './services/ChronosS3Service';
export { LambdaInvocationTypeEnum, EnvironmentEnum, ACLEnum } from './models/Enums';
