"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const defaults = {
    isWarmingUp: (event) => event.source === 'serverless-plugin-warmup'
};
/**
 *
 * @param opt is custom event properties object to validate if is warming up
 * @returns middy MiddlewareObj
 */
const warmupMiddleware = (opt) => {
    const options = Object.assign(Object.assign({}, defaults), opt);
    const warmupMiddlewareBefore = (request) => {
        if (options.isWarmingUp(request.event)) {
            return 'warmup';
        }
    };
    return {
        before: warmupMiddlewareBefore
    };
};
exports.default = warmupMiddleware;
//# sourceMappingURL=warmUpMiddleware.js.map