import { Notification } from './ErrorNotification';
export declare const SUCCESSFUL_NOTIFICATION: Notification;
export declare const WARNING_NOTIFICATION: Notification;
export declare const ErrorCodes: {
    GenericErrors: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    }[];
    AuthSigninHandler: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    }[];
    AuthPassResetHandler: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    }[];
    AuthRefreshHandler: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    }[];
    AuthPassForgetInitHandler: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    }[];
    AuthPassForgetHandler: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    }[];
    UserHandler: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    }[];
    UserResendVerificationHandler: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    }[];
    SpecificUserHandler: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    }[];
    UserUpdateHandler: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    }[];
    LookupUserHandler: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    }[];
    UserVerificationHandler: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    }[];
    UploadSpecificVerificationHandler: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    }[];
    VerificationFileDownloaderHandler: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    }[];
    CrmClientFunction: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    }[];
    VerificationDataClientFunction: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    }[];
    IdentityProviderDataFunction: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    }[];
    VerificationHandler: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    }[];
    NewSignatureHandler: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    }[];
    SpecificSignatureHandler: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    }[];
    StatusSignatureHandler: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    }[];
    SpecificVerificationHandler: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    }[];
    UpdateExtractedInfoVerificationHandler: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    }[];
    VerificationIDsGeneratorHandler: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    }[];
    CreditBureauDataServiceFunction: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    }[];
    ExecuteCBAnalysisHandler: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    }[];
    SpecificCreditAnalysisHandler: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    }[];
    NewCreditAnalysisHandler: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    }[];
    SpecificPreofferHanlder: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    }[];
    PreofferHandler: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    }[];
    AppraisalDataServiceFunction: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    }[];
    SpecificAppraisalHandler: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    }[];
    NewAppraisalHandler: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    }[];
    AppraisalProviderServiceFunction: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    }[];
    SimulationHandlerV3: any[];
    LeadCreationHandlerV3: any[];
    SignatureDataServiceFunction: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    }[];
    SignatureProviderDataServiceFunction: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    }[];
    CompanyHandler: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    }[];
    SpecificCompanyHandler: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    }[];
    CompanyVerificationHandler: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    }[];
    SatwsWebhookHandler: ({
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    } | {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level?: undefined;
    })[];
    TaxInformationDataService: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    }[];
    CUVUpdateHandler: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    }[];
    InteliDataService: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    }[];
    PdfFunction: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    }[];
    ApplicationCompletionHandler: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    }[];
    AppionQueryHandler: any[];
    LogbookSearchHandler: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
    }[];
    UpdateLogbookHandler: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
    }[];
    ReportLogbookHandler: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
    }[];
    LogbookDataServiceFunction: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
    }[];
    SAFDataService: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
    }[];
    OrchestratorFunction: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
    }[];
    IntelliDataSenderFunction: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
    }[];
    ConstructionProgressHandler: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    }[];
    ObtainOnsiteAppraisalHandler: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    }[];
    ObtainAppraisalPricingHandler: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    }[];
    OnsiteAppraisalPaymentHandler: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    }[];
    AccountStatementsHandler: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    }[];
    AppointmentHandler: {
        statusCode: number;
        errorCode: string;
        errorSearch: string;
        message: string;
        level: string;
    }[];
};
