import { IChronosLambdaClientService } from '../interfaces/IChronosLambdaClientService';
import { InvocationType } from '@aws-sdk/client-lambda';
export declare class ChronosLambdaClientService implements IChronosLambdaClientService {
    private readonly AWS_REGION;
    private readonly LAMBDA_NAME;
    private readonly ENVIRONMENT;
    private readonly LAMBDA_LOCAL_ENDPOINT;
    private readonly options;
    private awsLambdaClient;
    /**
     *
     * @param LAMBDA_NAME is AWS Lambda Name to be invoked
     * @param ENVIRONMENT is ENVIRONMENT env var
     * @param LAMBDA_LOCAL_ENDPOINT is Lambda Local Endpoint
     * @param AWS_REGION is AWS region
     */
    constructor(LAMBDA_NAME: string, ENVIRONMENT: string, LAMBDA_LOCAL_ENDPOINT: string, AWS_REGION: string);
    /**
     *
     * @param payload is Chronos lambda-to-lambda request body
     * @param loggerInstance is chronos logger instance
     * @param invocationType is AWS Lambda invocationType ("Event" | "RequestResponse" | "DryRun")
     * @returns object with execution response
     */
    invokeChronosLambda(payload: Record<string, Object>, loggerInstance: any, invocationType?: InvocationType): Promise<Object>;
}
