/**
 * Converts plain object to class and validate each property with decorator of 'class-validator'
 * @param classToConvert is the target class for validation
 * @param body is a plain object to be validated
 * @param errorSearch a custom 'error key' that is appended at the beginning of the message if a validation error is found
 * @returns An instance of classToConvert if all validations pass. It throws an error with detailed
 * message for each property that failed validation.
 */
export declare function validateAndConvert(classToConvert: any, body: any, errorSearch?: string): Promise<any>;
