"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotificationTopicService = void 0;
const client_sns_1 = require("@aws-sdk/client-sns");
class NotificationTopicService {
    static async sendNotificationTopic(notificationModel) {
        var _a, _b;
        let snsOptions;
        const topicArn = notificationModel.TOPIC_ARN;
        if (notificationModel.ENVIROMENT === 'local') {
            snsOptions = {
                apiVersion: '2010-03-31',
                region: notificationModel.REGION,
                endpoint: notificationModel.TOPIC_ENDPOINT,
                maxAttempts: 3
            };
        }
        else {
            snsOptions = {
                region: notificationModel.REGION,
                apiVersion: '2010-03-31'
            };
        }
        const sns = new client_sns_1.SNSClient(snsOptions);
        console.debug('NOTIFICATION SNS >>>', topicArn, snsOptions);
        const message = {
            stage: notificationModel.ENVIROMENT,
            action: notificationModel.ACTION,
            payload: notificationModel.PAYLOAD
        };
        const messageData = new client_sns_1.PublishCommand({
            Message: JSON.stringify(message),
            TopicArn: topicArn,
            Subject: 'SNS From Layer'
        });
        try {
            const publishPromise = await sns.send(messageData);
            console.debug(`Message ${(_a = messageData === null || messageData === void 0 ? void 0 : messageData.input) === null || _a === void 0 ? void 0 : _a.Message} sent to topic ${(_b = messageData === null || messageData === void 0 ? void 0 : messageData.input) === null || _b === void 0 ? void 0 : _b.TopicArn}`);
            console.debug(publishPromise.MessageId);
        }
        catch (error) {
            console.debug(error, error.stack);
            return false;
        }
        return true;
    }
}
exports.NotificationTopicService = NotificationTopicService;
//# sourceMappingURL=NotificationTopicService.js.map