"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SendToCRMService = void 0;
const client_sns_1 = require("@aws-sdk/client-sns");
class SendToCRMService {
    static async sendNotificationTopicCRM(modelCRM) {
        var _a;
        let snsOptions;
        const topicArn = modelCRM.TOPIC_ARN;
        if (modelCRM.ENVIROMENT === 'local') {
            snsOptions = {
                apiVersion: '2010-03-31',
                region: modelCRM.REGION,
                endpoint: modelCRM.TOPIC_ENDPOINT,
                maxAttempts: 3
            };
        }
        else {
            snsOptions = {
                region: modelCRM.REGION,
                apiVersion: '2010-03-31'
            };
        }
        const sns = new client_sns_1.SNSClient(snsOptions);
        console.debug('HUBSPOT SNS >>>', topicArn, snsOptions);
        const message = {
            env: modelCRM.ENVIROMENT,
            function: modelCRM.FUNCTION_TYPE,
            properties: modelCRM.PAYLOAD,
            lambdaName: modelCRM.LAMBDA_NAME
        };
        const messageData = new client_sns_1.PublishCommand({
            Message: JSON.stringify(message),
            TopicArn: topicArn,
            Subject: 'SNS From Lambda CRM Function'
        });
        try {
            const publishPromise = await sns.send(messageData);
            console.debug(`Message sent to topic ${(_a = messageData === null || messageData === void 0 ? void 0 : messageData.input) === null || _a === void 0 ? void 0 : _a.TopicArn}`);
            console.debug(publishPromise.MessageId);
        }
        catch (error) {
            console.debug(error, error.stack);
            return false;
        }
        return true;
    }
}
exports.SendToCRMService = SendToCRMService;
//# sourceMappingURL=SendToCRMService.js.map